USE {Variable_TempDb}
GO

SET XACT_ABORT ON
BEGIN TRAN

---- 
--   /

IF 
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

BEGIN

	INSERT INTO [{Variable_WorkDb}].dbo.KL_KD
		(CODE, SNAME, NAME, DATEB, DATEE, LINK_DEP)
	SELECT DISTINCT
		CODE        = isnull(gkdb.Code,'000')+isnull(skdb.Code,'0000000'),
		SNAME       = LEFT(isnull(gkdb.,'')+' '+isnull(skdb.,''),254),
		[NAME]      = LEFT(isnull(gkdb.,'')+' '+isnull(skdb.,''),2000),
		DATEB       = NULL,
		DATEE       = NULL,
		LINK_DEP	= {Variable_WorkDb}.dbo.getowndeplink()
	FROM 
		[{Variable_TempDb}].dbo.[__KL_KBK_] sop
		INNER JOIN [{Variable_WorkDb}].dbo.KL_KBK A ON A.[TYPE] = 2 AND A.LINK = sop.LINK
		INNER JOIN [{Variable_TempDb}].dbo.[CatalogObject|] kbk ON kbk.Ref = sop.Ref
		INNER JOIN [{Variable_TempDb}].dbo.[CatalogObject|] gkdb ON gkdb.Ref = kbk.
		LEFT JOIN [{Variable_TempDb}].dbo.[CatalogObject|] skdb ON skdb.Ref = kbk.
	WHERE 
		(SELECT TOP 1 LINK FROM [{Variable_WorkDb}].dbo.KL_KD kd WHERE kd.CODE = isnull(gkdb.Code,'000')+isnull(skdb.Code,'0000000')) IS NULL
		AND isnull(gkdb.Code,'000')+isnull(skdb.Code,'0000000') NOT IN (SELECT code FROM [{Variable_WorkDb}].dbo.KL_KD)

END


COMMIT TRAN