USE {Variable_TempDb}
GO

SET XACT_ABORT ON
BEGIN TRAN

---- 
--    
IF 
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

BEGIN

	INSERT INTO [{Variable_WorkDb}].dbo.KL_IVF
		(CODE, SNAME, NAME, DATEB, DATEE, LINK_DEP)
	SELECT DISTINCT 
		CODE        = isnull(LEFT(gk.Code,4),'0000')+isnull(LEFT(sk.Code,6),'000000'),
		SNAME       = LEFT(isnull(gk.,'')+' '+isnull(sk.,''),254),
		[NAME]      = LEFT(isnull(gk.,'')+' '+isnull(sk.,''),2000),
		DATEB       = NULL,
		DATEE       = NULL,
		LINK_DEP    = {Variable_WorkDb}.dbo.getowndeplink()
	FROM 
		[{Variable_TempDb}].dbo.[__KL_KBK_] sop
		INNER JOIN [{Variable_WorkDb}].dbo.KL_KBK A ON (A.[TYPE] & 12) > 1 AND A.LINK = sop.LINK
		--gk.Code -    1 - , 2 - 
		INNER JOIN [{Variable_TempDb}].dbo.[CatalogObject|] kbk ON kbk.Ref = sop.Ref
		LEFT JOIN [{Variable_TempDb}].dbo.[CatalogObject|] gk ON gk.Ref = kbk.
		LEFT JOIN [{Variable_TempDb}].dbo.[CatalogObject|] sk ON sk.Ref = kbk.
		LEFT JOIN [{Variable_TempDb}].dbo.[CatalogObject|] vk ON vk.Ref = kbk.
	WHERE 
		(SELECT TOP 1 LINK FROM [{Variable_WorkDb}].dbo.KL_IVF ki WHERE ki.CODE = isnull(gk.Code,'0000')+isnull(sk.Code,'000000')) IS NULL
		AND isnull(LEFT(gk.Code,4),'0000')+isnull(LEFT(sk.Code,6),'000000') NOT IN (SELECT code FROM [{Variable_WorkDb}].dbo.KL_IVF)

END
		

COMMIT TRAN