
IF OBJECT_ID('TEMPDB..#EXEC','U') IS NOT NULL
	DROP TABLE #EXEC
GO
	
create table #EXEC (text varchar(8000), id int identity(1,1))
GO

DECLARE @err INT

IF 
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[DocumentObject|_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	
	INSERT INTO #EXEC ([text]) SELECT
	'
	---    (    )
    BEGIN TRAN
        DECLARE @iOBJECT INT
        --- 
        SELECT @iOBJECT = LINK FROM [{Variable_WorkDb}].dbo.S_OBJECTS WHERE CODE = ''DOCUMENTS_PKO''
        INSERT INTO [{Variable_WorkDb}].dbo.REASON_KO_SHABLON
        (CODE,NAME,EXPR_CODE)
        SELECT DISTINCT 
        '''', NAME = LEFT(,254), EXPR_CODE = LEFT(,254)
        FROM [{Variable_TempDb}].dbo.[DocumentObject|_]
        WHERE  IN (SELECT [Description] FROM [{Variable_TempDb}].dbo.[CatalogObject|_])

    COMMIT TRAN
    '
	IF EXISTS (SELECT * FROM #EXEC)
		EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
END
GO


DECLARE @err INT

IF 
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND
	exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[DocumentObject|_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	DELETE #EXEC
	INSERT INTO #EXEC ([text]) SELECT
	'
	---    (    )
    BEGIN TRAN
        DECLARE @iOBJECT INT
        --- 
        SELECT @iOBJECT = LINK FROM [{Variable_WorkDb}].dbo.S_OBJECTS WHERE CODE = ''DOCUMENTS_RKO''
        INSERT INTO [{Variable_WorkDb}].dbo.REASON_KO_SHABLON
        (CODE,NAME,EXPR_CODE)
        SELECT DISTINCT 
        '''', NAME = LEFT(,254), EXPR_CODE = LEFT(,254)
        FROM [{Variable_TempDb}].dbo.[DocumentObject|_]
        WHERE  IN (SELECT [Description] FROM [{Variable_TempDb}].dbo.[CatalogObject|_])
    COMMIT TRAN
    '
	IF EXISTS (SELECT * FROM #EXEC)
		EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
END
GO


