IF OBJECT_ID('TEMPDB..#tG_PROV_FIELDS_COR_NAME','U') IS NOT NULL
	DROP TABLE #tG_PROV_FIELDS_COR_NAME
GO

CREATE TABLE #tG_PROV_FIELDS_COR_NAME (LINK INT)

DECLARE @LINK_OBJ INT

SET @LINK_OBJ = [{Variable_WorkDb}].dbo.OBJ_ID('DOCUMENTS_OPER')

INSERT INTO #tG_PROV_FIELDS_COR_NAME (LINK)
SELECT DISTINCT LINK_UP 
FROM
	[{Variable_TempDb}].dbo.[__G_PROV_] gpp 
	INNER JOIN [{Variable_WorkDb}].dbo.G_PROV A ON A.LINK = gpp.LINK1 
	INNER JOIN [{Variable_WorkDb}].dbo.G_PROV_FIELDS B ON B.LINK_UP = A.LINK
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_G_PROV_KAU @cTempTable = '#tG_PROV_FIELDS_COR_NAME'
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_G_PROV_DOP_CLASSIF @cTempTable = '#tG_PROV_FIELDS_COR_NAME'
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_G_PROV_KBK @cTempTable = '#tG_PROV_FIELDS_COR_NAME'
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_G_PROV_DOCBASE @cTempTable = '#tG_PROV_FIELDS_COR_NAME'
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_G_PROV_EKR @cTempTable = '#tG_PROV_FIELDS_COR_NAME'
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_G_PROV_FIN_SOURCE @cTempTable = '#tG_PROV_FIELDS_COR_NAME'
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_DOC_NAME @cTempTable = '#tG_PROV_FIELDS_COR_NAME'
GO

EXECUTE [{Variable_WorkDb}].dbo.XA_UPDATE_G_PROV_COR_NAME @cTempTable = '#tG_PROV_FIELDS_COR_NAME' --  XA_UPDATE_DOC_NAME
GO


IF OBJECT_ID('TEMPDB..#tG_PROV_FIELDS_COR_NAME','U') IS NOT NULL
	DROP TABLE #tG_PROV_FIELDS_COR_NAME
GO

--     
INSERT INTO [{Variable_WorkDb}].dbo.DEPARTMENT_KBK (DEP_LINK, KBK_LINK)
SELECT DEP_LINK, KBK
FROM
[{Variable_WorkDb}].dbo.KL_KBK KBK
INNER JOIN 
(
	SELECT DEP_LINK, KBK FROM [{Variable_WorkDb}].dbo.SALDO WHERE KBK IS NOT NULL
	UNION
	SELECT G.DEP, GAP.KBK 
	FROM
		[{Variable_WorkDb}].dbo.G_PROV G
		INNER JOIN [{Variable_WorkDb}].dbo.G_PROV1 G1 ON G.LINK = G1.LINK_UP
		INNER JOIN [{Variable_WorkDb}].dbo.G_PROV2 G2 ON G1.LINK = G2.LINK_UP
		INNER JOIN [{Variable_WorkDb}].dbo.G_PROV_AP GAP ON G2.LINK = GAP.LINK_UP
	WHERE
		GAP.KBK IS NOT NULL
) T ON T.KBK = KBK.LINK
WHERE
	KBK.USED_ALL <> 1
	AND 
	NOT EXISTS (SELECT * FROM [{Variable_WorkDb}].dbo.DEPARTMENT_KBK K WHERE K.DEP_LINK = T.DEP_LINK AND K.KBK_LINK = T.KBK)
GO

---       
DELETE A
FROM
	[{Variable_WorkDb}].dbo.DEPARTMENTS3 D3
	INNER JOIN [{Variable_WorkDb}].dbo.DEPARTMENT_ACCOUNTS A ON A.LINK_UP = D3.LINK
	INNER JOIN [{Variable_TempDb}].dbo.[__DEPARTMENTS_] du on du.link = D3.LINK
WHERE
	NOT EXISTS (select * FROM [{Variable_WorkDb}].dbo.SALDO S WHERE A.LINK = s.DEP_ACC)
	AND NOT EXISTS (select * FROM [{Variable_WorkDb}].dbo.G_PROV S WHERE A.LINK = s.ACC)
	AND NOT EXISTS (select * FROM [{Variable_WorkDb}].dbo.G_PROV_AP S WHERE A.LINK = s.DEP_ACC)
	AND NOT EXISTS (select * FROM [{Variable_WorkDb}].dbo.DEPARTMENT_ACCOUNTS S WHERE A.LINK = s.ACC)
	AND NOT EXISTS (select * FROM [{Variable_WorkDb}].dbo.FINANSE_PAYS S WHERE A.LINK = s.d_acc OR A.LINK = s.s_acc)
GO
