set xact_abort on
BEGIN TRAN

IF OBJECT_ID('TEMPDB..#EXEC','U') IS NOT NULL
	DROP TABLE #EXEC
GO
	
create table #EXEC (text varchar(8000), id int identity(1,1))
GO


INSERT INTO #EXEC ([text]) SELECT
'UPDATE G
set G.ACC = ac.LINK
from [{Variable_WorkDb}].dbo.G_PROV G
inner join [{Variable_TempDb}].dbo.[__G_PROV_] GL on GL.LINK1 = G.LINK
inner join [{Variable_TempDb}].dbo.[AccountingRegisterRecordSet|] AR on GL.LINK2 = AR.LINK
INNER JOIN [{Variable_TempDb}].dbo.[' + replace(AR.RecordRef, 'Ref.', 'Object|') + '] d on d.Ref = AR.Recorder
INNER JOIN [{Variable_TempDb}].dbo.[__ACCOUNTS_] ac ON ac.Ref = convert(uniqueidentifier,D.[])
where AR.RecordRef = ''' + AR.RecordRef + ''''
FROM [{Variable_TempDb}].dbo.[AccountingRegisterRecordSet|] AR
INNER JOIN [{Variable_TempDb}].dbo.[__DEPARTMENTS_] do on do.Ref = AR.
where COLUMNPROPERTY(object_id('dbo.' + replace(AR.RecordRef, 'Ref.', 'Object|')), '[]', 'AllowsNull') is not NULL
group by AR.RecordRef

USE {Variable_TempDb}

DECLARE @err INT

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
GO

COMMIT TRAN
