USE {Variable_TempDb}
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[IsFolder] nvarchar(MAX) NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

IF NOT Exists(select 1 from [{Variable_TempDb}].sys.columns where Name = N'' and Object_ID = Object_ID(N'[{Variable_TempDb}].dbo.[CatalogObject|]'))
	ALTER TABLE [{Variable_TempDb}].dbo.[CatalogObject|]  ADD [] nvarchar(MAX) NULL
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[IsFolder] nvarchar(MAX) NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[Level] int NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO


-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[IsFolder] nvarchar(MAX) NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[01394] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- InformationRegisterRecordSet|
IF not exists(select * from sysobjects where id = object_id('[dbo].[InformationRegisterRecordSet|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[InformationRegisterRecordSet|] (
	[RecordRef] nvarchar(1000) NULL ,
	[Recorder] uniqueidentifier NULL ,
	[Period] datetime NULL ,
	[Active] bit NULL ,
	[] nvarchar(MAX) NULL ,
	[] uniqueidentifier NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[INV_CR] uniqueidentifier NULL ,
	[INV_DR] uniqueidentifier NULL ,
	[NOMEN_CR] uniqueidentifier NULL ,
	[NOMEN_DR] uniqueidentifier NULL ,
	[ND_CR] uniqueidentifier NULL ,
	[ND_DR] uniqueidentifier NULL ,
	[AP1_CR] uniqueidentifier NULL ,
	[AP1_DR] uniqueidentifier NULL ,
	[DEP_CR] uniqueidentifier NULL ,
	[DEP_DR] uniqueidentifier NULL ,
	[SGU_CR] uniqueidentifier NULL ,
	[SGU_DR] uniqueidentifier NULL ,
	[EMP_CR] uniqueidentifier NULL ,
	[EMP_DR] uniqueidentifier NULL ,
	[AP2_CR] uniqueidentifier NULL ,
	[AP2_DR] uniqueidentifier NULL ,
	[BSO_CR] uniqueidentifier NULL ,
	[BSO_DR] uniqueidentifier NULL ,
	[EKR_CR] uniqueidentifier NULL ,
	[EKR_DR] uniqueidentifier NULL ,
	[DEP_ACC_CR] uniqueidentifier NULL ,
	[DEP_ACC_DR] uniqueidentifier NULL ,
	[LINK] int NOT NULL IDENTITY(1,1) )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[InformationRegisterRecordSet|] TO PUBLIC
	
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

-- CatalogObject|
IF not exists(select * from sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CatalogObject|] (
	[Ref] uniqueidentifier NOT NULL ,
	[IsFolder] nvarchar(MAX) NULL ,
	[DeletionMark] nvarchar(MAX) NULL ,
	[Owner] nvarchar(MAX) NULL ,
	[Parent] nvarchar(MAX) NULL ,
	[Code] nvarchar(MAX) NULL ,
	[Description] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL ,
	[] nvarchar(MAX) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CatalogObject|] TO PUBLIC
	
GO

--dbo.[InformationRegisterRecordSet|] ##48
