set xact_abort ON

BEGIN TRAN

USE {Variable_TempDb}
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[__KAU_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[__KAU_] (
	[LINK] int ,
	[Ref] UNIQUEIDENTIFIER )
ELSE 
	DELETE FROM [dbo].[__KAU_]

GO

--  37.  .sql --
-- DOP_CLASSIF: BEGIN
IF not exists(select * from sysobjects where id = object_id('[dbo].[__KAU_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[__KAU_] (
	[LINK] int ,
	[Ref] UNIQUEIDENTIFIER )
ELSE 
	DELETE FROM [dbo].[__KAU_]

GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[__KAU_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[__KAU_] (
	[LINK] int ,
	[Ref] UNIQUEIDENTIFIER )
ELSE 
	DELETE FROM [dbo].[__KAU_]
GO

IF not exists(select * from sysobjects where id = object_id('[dbo].[__KAU_]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[__KAU_] (
	[LINK] int ,
	[Ref] UNIQUEIDENTIFIER )
ELSE 
	DELETE FROM [dbo].[__KAU_]

GO
-- DOP_CLASSIF: END

----    INSERTED_UIDS,     1,         
IF Exists(select 1 from {Variable_WorkDb}.sys.columns where Name = N'INSERTED_UIDS' and Object_ID = Object_ID(N'[{Variable_WorkDb}].[dbo].KAU'))
	ALTER TABLE [{Variable_WorkDb}].[dbo].[KAU] DROP COLUMN [INSERTED_UIDS]
GO

ALTER TABLE [{Variable_WorkDb}].[dbo].[KAU] ADD [INSERTED_UIDS] UNIQUEIDENTIFIER NULL
GO


IF OBJECT_ID('TEMPDB..#EXEC','U') IS NOT NULL
	DROP TABLE #EXEC
GO
	
create table #EXEC (text varchar(8000), id int identity(1,1))
GO

DECLARE @err INT

IF exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	
	INSERT INTO #EXEC ([text]) SELECT
	'
	----      
	INSERT INTO [dbo].[__KAU_] (LINK,Ref)
	SELECT DISTINCT k.LINK, b.Ref 
	FROM 
		[{Variable_TempDb}].dbo.[CatalogObject|] B
	INNER JOIN
		(
		SELECT
			LINK, [CODE], [SNAME], NUM = ROW_NUMBER() OVER (PARTITION BY [CODE], [SNAME] ORDER BY LINK)
		FROM [{Variable_WorkDb}].dbo.KAU
		WHERE LINK_DEP = {LINK_DEP}
		) K ON K.NUM = 1
			AND RIGHT(b.Code,10) = k.CODE
			AND LEFT(B.[Description],254) = k.[SNAME]

	INSERT INTO [{Variable_WorkDb}].dbo.KAU
	(BUDGET, CODE, SNAME, [NAME], DATEB, DATEE, LINK_DEP, INSERTED_UIDS)
			 OUTPUT INSERTED.LINK, INSERTED.[INSERTED_UIDS]
			 INTO [{Variable_TempDb}].dbo.[__KAU_]
	SELECT
	BUDGET  = 0,
	CODE    = RIGHT(co.Code,10),
	SNAME   = LEFT(co.[Description],254),
	[NAME]  = LEFT(co.[Description],2000),
	DATEB   = NULL,
	DATEE   = NULL,
	LINK_DEP= {LINK_DEP},
	INSERTED_UIDS = co.Ref
	FROM [{Variable_TempDb}].dbo.[CatalogObject|] co
	WHERE 
		co.IsFolder = ''false''
		AND NOT EXISTS ( SELECT * FROM [{Variable_TempDb}].dbo.[__KAU_] T WHERE T.[Ref] = co.Ref )

	--    
	DECLARE @iROWCOUNT_KAU INT
	SET @iROWCOUNT_KAU = @@ROWCOUNT

	INSERT INTO [{Variable_TempDb}].dbo.[__Journal]
	VALUES ('' ""'', '' : '' + convert(nvarchar(100),@iROWCOUNT_KAU), '''', 0)
	'
	IF EXISTS (SELECT * FROM #EXEC)
		EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

	DELETE FROM #EXEC
END


-- DOP_CLASSIF: BEGIN
--  
IF exists(
	select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1
	)
BEGIN
	INSERT INTO #EXEC ([text]) SELECT
	'
	--   
	INSERT INTO [{Variable_TempDb}].dbo.[__KAU_] (LINK,[Ref]) 
	SELECT 
		K.LINK,
		[Ref]   = convert(uniqueidentifier,co.Ref)
	FROM 
		[{Variable_TempDb}].dbo.[CatalogObject|] co
	INNER JOIN
		(
		SELECT
			LINK, [CODE], [SNAME], NUM = ROW_NUMBER() OVER (PARTITION BY [CODE], [SNAME] ORDER BY LINK)
		FROM [{Variable_WorkDb}].dbo.KAU
		WHERE LINK_DEP = {LINK_DEP} AND LEN(NAME) > 0
		) K ON K.NUM = 1
			AND k.CODE = LEFT (co.Code,10)
			AND k.[SNAME] = LEFT(co.[Description],254)
	WHERE
		co.IsFolder = ''false''
	'

	INSERT INTO #EXEC ([text]) SELECT
	'
	INSERT INTO [{Variable_WorkDb}].dbo.KAU
	(BUDGET, CODE, SNAME, [NAME], DATEB, DATEE, LINK_DEP, INSERTED_UIDS)
		 OUTPUT INSERTED.LINK, INSERTED.[INSERTED_UIDS]
			 INTO [{Variable_TempDb}].dbo.[__KAU_]
	SELECT
		BUDGET  = 0,
		CODE    = LEFT(co.Code,10),
		SNAME   = LEFT(co.[Description],254),
		[NAME]  = LEFT(co.[Description],2000),
		DATEB   = NULL,
		DATEE   = NULL,
		LINK_DEP= {LINK_DEP},
		INSERTED_UIDS = co.Ref
	FROM [{Variable_TempDb}].dbo.[CatalogObject|] co
	WHERE
		co.IsFolder = ''false''	 
		AND
		NOT EXISTS (SELECT * FROM [{Variable_TempDb}].dbo.[__KAU_] T WHERE T.Ref =co.Ref )

	--    
	DECLARE @iROWCOUNT INT
	SET @iROWCOUNT = @@ROWCOUNT

	INSERT INTO [{Variable_TempDb}].dbo.[__Journal]
	VALUES ('' " ( )"'', '' : '' + convert(nvarchar(100),@iROWCOUNT), '''',0)
	'
	IF EXISTS (SELECT * FROM #EXEC)
		EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

	DELETE FROM #EXEC
END

--    
IF exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN

	INSERT INTO #EXEC ([text]) SELECT
	'--  
	INSERT INTO [{Variable_TempDb}].dbo.[__KAU_] (LINK,[Ref]) 
	SELECT 
		K.LINK,
		[Ref]   = convert(uniqueidentifier,co.Ref)
	FROM 
		[{Variable_TempDb}].dbo.[CatalogObject|] co
	INNER JOIN
		(
		SELECT
			LINK, [CODE], [SNAME], NUM = ROW_NUMBER() OVER (PARTITION BY [CODE], [SNAME] ORDER BY LINK)
		FROM [{Variable_WorkDb}].dbo.KAU
		WHERE LINK_DEP = {LINK_DEP} AND LEN(NAME) > 0
		) K ON K.NUM = 1
			AND k.CODE = LEFT (co.,10)
			AND k.[SNAME] = LEFT(co.[Description],254)
	'
	
	INSERT INTO #EXEC ([text]) SELECT
	'----    
	INSERT INTO [{Variable_WorkDb}].dbo.KAU
	(BUDGET, CODE, SNAME, [NAME], DATEB, DATEE, LINK_DEP, INSERTED_UIDS)
		 OUTPUT INSERTED.LINK, INSERTED.[INSERTED_UIDS]
			 INTO [{Variable_TempDb}].dbo.[__KAU_]
	SELECT
		BUDGET  = 0,
		CODE    = LEFT(co.,10),
		SNAME   = LEFT(co.[Description],254),
		[NAME]  = LEFT(co.[Description],2000),
		DATEB   = NULL,
		DATEE   = NULL,
		LINK_DEP= {LINK_DEP},
		INSERTED_UIDS = co.Ref
	FROM [{Variable_TempDb}].dbo.[CatalogObject|] co
	WHERE 
		NOT EXISTS (SELECT * FROM [{Variable_TempDb}].dbo.[__KAU_] T WHERE T.Ref =co.Ref )

    DECLARE @iROWCOUNT INT
    set @iROWCOUNT = @@ROWCOUNT

	INSERT INTO [{Variable_TempDb}].dbo.[__Journal]
	VALUES ('' " (   )"'', '' : '' + convert(nvarchar(100),@iROWCOUNT), '''',0)
	'
	IF EXISTS (SELECT * FROM #EXEC)
		EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

	DELETE FROM #EXEC
END

IF exists(select 1 from [{Variable_TempDb}].dbo.sysobjects where id = object_id('[dbo].[CatalogObject|]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN

	INSERT INTO #EXEC ([text]) SELECT
	'--  
	INSERT INTO [{Variable_TempDb}].dbo.[__KAU_] (LINK,[Ref]) 
	SELECT 
		K.LINK,
		[Ref]   = convert(uniqueidentifier,co.Ref)
	FROM 
		[{Variable_TempDb}].dbo.[CatalogObject|] co
	INNER JOIN
		(
		SELECT
			LINK, [CODE], [SNAME], NUM = ROW_NUMBER() OVER (PARTITION BY [CODE], [SNAME] ORDER BY LINK)
		FROM [{Variable_WorkDb}].dbo.KAU
		WHERE LINK_DEP = {LINK_DEP} AND LEN(NAME) > 0
		) K ON K.NUM = 1
			AND k.CODE = LEFT (co.Code,10)
			AND k.[SNAME] = LEFT(co.[Description],254)
	'
	
	INSERT INTO #EXEC ([text]) SELECT
	'----   
	INSERT INTO [{Variable_WorkDb}].dbo.KAU
	(BUDGET, CODE, SNAME, [NAME], DATEB, DATEE, LINK_DEP, INSERTED_UIDS)
		 OUTPUT INSERTED.LINK, INSERTED.[INSERTED_UIDS]
			 INTO [{Variable_TempDb}].dbo.[__KAU_]
	SELECT
		BUDGET  = 0,
		CODE    = LEFT(co.Code,10),
		SNAME   = LEFT(co.[Description],254),
		[NAME]  = LEFT(co.,2000),
		DATEB   = NULL,
		DATEE   = NULL,
		LINK_DEP= {LINK_DEP},
		INSERTED_UIDS = co.Ref
	FROM [{Variable_TempDb}].dbo.[CatalogObject|] co
	WHERE 
		NOT EXISTS (SELECT * FROM [{Variable_TempDb}].dbo.[__KAU_] T WHERE T.Ref =co.Ref )

    DECLARE @iROWCOUNT INT
    set @iROWCOUNT = @@ROWCOUNT

	INSERT INTO [{Variable_TempDb}].dbo.[__Journal]
	VALUES ('' " (  )"'', '' : '' + convert(nvarchar(100),@iROWCOUNT), '''',0)
	'
	IF EXISTS (SELECT * FROM #EXEC)
		EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

	DELETE FROM #EXEC
END	
-- DOP_CLASSIF: END

ALTER TABLE [{Variable_WorkDb}].[dbo].[KAU] DROP COLUMN [INSERTED_UIDS]
GO

COMMIT TRAN