--        --
DECLARE
	@DEP_NAME	VARCHAR (254),
	
	@OBJ_FC	INT,
	@OBJ_FC_RP	INT
	
SELECT
	@DEP_NAME = '' --'     1 ""'

DECLARE @TAB_DEP TABLE
	(
	LINK	INT,
	DEP_NAME VARCHAR (254)
	)

INSERT INTO @TAB_DEP
SELECT
	DEP.LINK,
	DEP.[NAME]
FROM {Variable_TempDb}.dbo.__DEPARTMENTS_ DREF
INNER JOIN {Variable_WorkDb}.dbo.DEPARTMENTS DEP  ON (DEP.LINK = DREF.LINK)
INNER JOIN {Variable_WorkDb}.dbo.DEPARTMENT_GROUPS_REF DGR ON (DGR.DEP_LINK = DEP.LINK)
INNER JOIN {Variable_WorkDb}.dbo.DEPARTMENT_GROUPS DG ON (DG.LINK = DGR.GROUP_LINK)
WHERE
	(DG.[SYS] = 1 OR DG.[SYS] = 3)
	AND (@DEP_NAME = '' OR DEP.NAME = @DEP_NAME)
GROUP BY
	DEP.LINK,
	DEP.[NAME]
	
--SELECT * FROM @TAB_DEP

SELECT
	@OBJ_FC	=	{Variable_WorkDb}.dbo.OBJ_ID ('PF_CONTRACT_SERVICE')

--     --
DECLARE @T_DEP_RP	TABLE
	(
	LINK	INT
	)

INSERT INTO @T_DEP_RP (LINK)
SELECT 
	G.LINK
FROM 
	{Variable_WorkDb}.dbo.PF_SERVICE_REC R
	INNER JOIN {Variable_WorkDb}.dbo.DEPARTMENTS D on R.DEP = D.LINK --  
	INNER JOIN @TAB_DEP TD ON (TD.LINK = D.LINK)
	INNER JOIN {Variable_WorkDb}.[dbo].[DEPARTMENT_ACCOUNTS] DA ON DA.LINK = R.DEP_ACC
	INNER JOIN {Variable_WorkDb}.dbo.DEPARTMENTS G ON DA.LINK_UP = G.LINK --
	
--    --
DECLARE @T_FC_RP	TABLE
	(
	LINK	INT
	)

INSERT INTO @T_FC_RP (LINK)
SELECT
	FC.LINK
FROM {Variable_WorkDb}.dbo.F_FINANS_CONTRACT(DEFAULT, 'FINANS_CONTRACT') FC
INNER JOIN @TAB_DEP TD ON (TD.LINK = FC.DEP_LINK)
INNER JOIN @T_DEP_RP T1 ON (T1.LINK = FC.DEP_LINK_P)
GROUP BY
	FC.LINK

--   --	
UPDATE G
SET [OBJECT] = @OBJ_FC
FROM {Variable_WorkDb}.dbo.G_PROV G
INNER JOIN @T_FC_RP T1 ON (T1.LINK = G.LINK)

UPDATE OTC
SET BUYER_LINK = SUPPLIER_LINK
FROM {Variable_WorkDb}.dbo.G_PROV_CORR OTC
INNER JOIN {Variable_WorkDb}.dbo.G_PROV G ON G.LINK = OTC.LINK_UP
	AND G.[OBJECT] = @OBJ_FC
WHERE OTC.BUYER_LINK IS NULL

GO


	