SET XACT_ABORT ON
----   
BEGIN TRAN	
/*    ,    */
UPDATE [{Variable_WorkDb}].dbo.DEPARTMENTS_DATE
SET 
BEGINDATE = '19000101',
WORKDATE = DATEADD(DAY,-1,GETDATE()),
ENDDATE = '20250101'


SELECT 
	[DATE],
	ACCOUNT,
	ISOBOROT,
	KBK,
	EKR,
	DEP,
	SUB,
	NOMEN,
	INV,
	KAU,
	DEP_ACC,
	TMC,
	INDATE,
	SGU,
	AP1,
	AP2,
	AP3,
	AP4,
	AP5,
	AP6,
	DEP_LINK,
	PRICE,
	COUNT (*) AS COUNT1
INTO #REST_105	
FROM [{Variable_WorkDb}].dbo.SALDO S
INNER JOIN [{Variable_WorkDb}].dbo.S_ACCOUNTS SA ON (SA.LINK = S.ACCOUNT
	AND SA.cSINTH = '105') AND SA.LINK_DEP = {LINK_DEP}
WHERE
	S.DEP_LINK IN (SELECT LINK FROM [{Variable_TempDb}].dbo.[__DEPARTMENTS_])
	AND S.ISOBOROT = 2	
	AND (S.D_QUANTITY = 0
		OR S.D_SUMMA = 0)
	AND S.EMP IS NOT NULL	
GROUP BY		
	[DATE],
	ACCOUNT,
	ISOBOROT,
	KBK,
	EKR,
	DEP,
	SUB,
	NOMEN,
	INV,
	KAU,
	DEP_ACC,
	TMC,
	INDATE,
	SGU,
	AP1,
	AP2,
	AP3,
	AP4,
	AP5,
	AP6,
	DEP_LINK,
	PRICE		

SELECT 
	S.[DATE],
	S.ACCOUNT,
	S.ISOBOROT,
	S.KBK,
	S.EKR,
	S.DEP,
	S.SUB,
	S.EMP,
	S.NOMEN,
	S.INV,
	S.KAU,
	S.DEP_ACC,
	S.TMC,
	S.INDATE,
	S.SGU,
	S.AP1,
	S.AP2,
	S.AP3,
	S.AP4,
	S.AP5,
	S.AP6,
	S.DEP_LINK,
	S.PRICE
INTO #REST_105_1
FROM [{Variable_WorkDb}].dbo.SALDO S
INNER JOIN #REST_105 R ON 
	(R.COUNT1 = 1
	AND R.[DATE] = S.[DATE]
	AND R.ACCOUNT = S.ACCOUNT
	AND R.ISOBOROT = S.ISOBOROT
	AND ISNULL (R.KBK, 0) = ISNULL ( S.KBK, 0)
	AND ISNULL (R.EKR, 0) = ISNULL ( S.EKR, 0)
	AND ISNULL (R.DEP, 0) = ISNULL ( S.DEP, 0)
	AND ISNULL (R.SUB, 0) = ISNULL ( S.SUB, 0)
	AND ISNULL (R.NOMEN, 0) = ISNULL ( S.NOMEN, 0)
	AND ISNULL (R.INV, 0) = ISNULL ( S.INV, 0)
	AND ISNULL (R.KAU, 0) = ISNULL ( S.KAU, 0)
	AND ISNULL (R.DEP_ACC, 0) = ISNULL ( S.DEP_ACC, 0)
	AND ISNULL (R.TMC, 0) = ISNULL ( S.TMC, 0)
	AND ISNULL (R.INDATE, '17530101') = ISNULL ( S.INDATE, '17530101')
	AND ISNULL (R.SGU, 0) = ISNULL ( S.SGU, 0)
	AND ISNULL (R.AP1, 0) = ISNULL ( S.AP1, 0)
	AND ISNULL (R.AP2, 0) = ISNULL ( S.AP2, 0)
	AND ISNULL (R.AP3, 0) = ISNULL ( S.AP3, 0)
	AND ISNULL (R.AP4, 0) = ISNULL ( S.AP4, 0)
	AND ISNULL (R.AP5, 0) = ISNULL ( S.AP5, 0)
	AND ISNULL (R.AP6, 0) = ISNULL ( S.AP6, 0)
	AND ISNULL (R.DEP_LINK, 0) = ISNULL ( S.DEP_LINK, 0)
	AND ISNULL (R.PRICE, 0) = ISNULL ( S.PRICE, 0)
	)
WHERE
	S.EMP IS NOT NULL

--SELECT 
--    s.LINK,
--	S.[DATE],
--	S.ACCOUNT,
--	S.ISOBOROT,
--	S.KBK,
--	S.EKR,
--	S.DEP,
--	S.SUB,
--	S.EMP,
--	r.EMP,
--	S.NOMEN,
--	S.INV,
--	S.KAU,
--	S.DEP_ACC,
--	S.TMC,
--	S.INDATE,
--	S.SGU,
--	S.AP1,
--	S.AP2,
--	S.AP3,
--	S.AP4,
--	S.AP5,
--	S.AP6,
--	S.DEP_LINK,
--	S.PRICE,
--	R.EMP
UPDATE s
SET s.EMP = R.EMP
FROM [{Variable_WorkDb}].dbo.SALDO S
INNER JOIN #REST_105_1 R ON 
	(
	R.[DATE] = S.[DATE]
	AND R.ACCOUNT = S.ACCOUNT
	AND R.ISOBOROT = S.ISOBOROT
	AND ISNULL (R.KBK, 0) = ISNULL (	S.KBK, 0)
	AND ISNULL (R.EKR, 0) = ISNULL ( S.EKR, 0)
	AND ISNULL (R.DEP, 0) = ISNULL ( S.DEP, 0)
	AND ISNULL (R.SUB, 0) = ISNULL ( S.SUB, 0)
	AND ISNULL (R.NOMEN, 0) = ISNULL ( S.NOMEN, 0)
	AND ISNULL (R.INV, 0) = ISNULL ( S.INV, 0)
	AND ISNULL (R.KAU, 0) = ISNULL ( S.KAU, 0)
	AND ISNULL (R.DEP_ACC, 0) = ISNULL ( S.DEP_ACC, 0)
	AND ISNULL (R.TMC, 0) = ISNULL ( S.TMC, 0)
	AND ISNULL (R.INDATE, '17530101') = ISNULL ( S.INDATE, '17530101')
	AND ISNULL (R.SGU, 0) = ISNULL ( S.SGU, 0)
	AND ISNULL (R.AP1, 0) = ISNULL ( S.AP1, 0)
	AND ISNULL (R.AP2, 0) = ISNULL ( S.AP2, 0)
	AND ISNULL (R.AP3, 0) = ISNULL ( S.AP3, 0)
	AND ISNULL (R.AP4, 0) = ISNULL ( S.AP4, 0)
	AND ISNULL (R.AP5, 0) = ISNULL ( S.AP5, 0)
	AND ISNULL (R.AP6, 0) = ISNULL ( S.AP6, 0)
	AND ISNULL (R.DEP_LINK, 0) = ISNULL ( S.DEP_LINK, 0)
	AND ISNULL (R.PRICE, 0) = ISNULL ( S.PRICE, 0)
	)
WHERE
	S.EMP IS NULL

EXECUTE ('DROP TABLE #REST_105')
EXECUTE ('DROP TABLE #REST_105_1')
COMMIT TRAN

GO


----    
SET XACT_ABORT ON
BEGIN TRAN
/*    ,    */
UPDATE [{Variable_WorkDb}].dbo.DEPARTMENTS_DATE
SET 
BEGINDATE = '19000101',
WORKDATE = DATEADD(DAY,-1,GETDATE()),
ENDDATE = '20250101'

--   
SELECT 
	[DATE],
	ACCOUNT,
	ISOBOROT,
	KBK,
	EKR,
	DEP,
	SUB,
	NOMEN,
	INV,
	KAU,
	DEP_ACC,
	TMC,
	INDATE,
	SGU,
	AP1,
	AP2,
	AP3,
	AP4,
	AP5,
	AP6,
	DEP_LINK,
	PRICE,
	COUNT (*) AS COUNT1,
	SUM(s.D_QUANTITY) AS SUMMED_QTY
INTO #REST_105	
FROM [{Variable_WorkDb}].dbo.SALDO S
INNER JOIN [{Variable_WorkDb}].dbo.S_ACCOUNTS SA ON (SA.LINK = S.ACCOUNT
	AND SA.cSINTH = '105') AND SA.LINK_DEP = {LINK_DEP}
WHERE
	S.DEP_LINK IN (SELECT LINK FROM [{Variable_TempDb}].dbo.[__DEPARTMENTS_])
	AND S.ISOBOROT = 2	
	AND S.D_SUMMA = 0
	AND S.EMP IS NOT NULL	
GROUP BY		
	[DATE],
	ACCOUNT,
	ISOBOROT,
	KBK,
	EKR,
	DEP,
	SUB,
	NOMEN,
	INV,
	KAU,
	DEP_ACC,
	TMC,
	INDATE,
	SGU,
	AP1,
	AP2,
	AP3,
	AP4,
	AP5,
	AP6,
	DEP_LINK,
	PRICE	
HAVING COUNT(*) > 1 AND SUM(s.D_QUANTITY) <> 0

--   
SELECT 
	S.[DATE],
	S.ACCOUNT,
	S.ISOBOROT,
	S.D_SUMMA,
	S.K_SUMMA,
	S.R_SUMMA,
	S.KBK,
	S.EKR,
	S.DEP,
	S.SUB,
	S.EMP,
	S.NOMEN,
	S.INV,
	S.KAU,
	S.DEP_ACC,
	S.TMC,
	S.INDATE,
	S.SGU,
	S.AP1,
	S.AP2,
	S.AP3,
	S.AP4,
	S.AP5,
	S.AP6,
	S.DEP_LINK,
	S.PRICE
INTO #REST_105_1
FROM [{Variable_WorkDb}].dbo.SALDO S
INNER JOIN #REST_105 R ON 
	(R.[DATE] = S.[DATE]
	AND R.ACCOUNT = S.ACCOUNT
	AND R.ISOBOROT = S.ISOBOROT
	AND ISNULL (R.KBK, 0) = ISNULL ( S.KBK, 0)
	AND ISNULL (R.EKR, 0) = ISNULL ( S.EKR, 0)
	AND ISNULL (R.DEP, 0) = ISNULL ( S.DEP, 0)
	AND ISNULL (R.SUB, 0) = ISNULL ( S.SUB, 0)
	AND ISNULL (R.NOMEN, 0) = ISNULL ( S.NOMEN, 0)
	AND ISNULL (R.INV, 0) = ISNULL ( S.INV, 0)
	AND ISNULL (R.KAU, 0) = ISNULL ( S.KAU, 0)
	AND ISNULL (R.DEP_ACC, 0) = ISNULL ( S.DEP_ACC, 0)
	AND ISNULL (R.TMC, 0) = ISNULL ( S.TMC, 0)
	AND ISNULL (R.INDATE, '17530101') = ISNULL ( S.INDATE, '17530101')
	AND ISNULL (R.SGU, 0) = ISNULL ( S.SGU, 0)
	AND ISNULL (R.AP1, 0) = ISNULL ( S.AP1, 0)
	AND ISNULL (R.AP2, 0) = ISNULL ( S.AP2, 0)
	AND ISNULL (R.AP3, 0) = ISNULL ( S.AP3, 0)
	AND ISNULL (R.AP4, 0) = ISNULL ( S.AP4, 0)
	AND ISNULL (R.AP5, 0) = ISNULL ( S.AP5, 0)
	AND ISNULL (R.AP6, 0) = ISNULL ( S.AP6, 0)
	AND ISNULL (R.DEP_LINK, 0) = ISNULL ( S.DEP_LINK, 0)
	AND ISNULL (R.PRICE, 0) = ISNULL ( S.PRICE, 0)
	)
WHERE
	S.EMP IS NULL

--  
UPDATE s
SET s.D_SUMMA = CONVERT(NUMERIC(28,4),(r1.D_SUMMA / r.SUMMED_QTY) * s.D_QUANTITY)
FROM [{Variable_WorkDb}].dbo.SALDO S
INNER JOIN #REST_105 R ON 
	(
	R.[DATE] = S.[DATE]
	AND R.ACCOUNT = S.ACCOUNT
	AND R.ISOBOROT = S.ISOBOROT
	AND ISNULL (R.KBK, 0) = ISNULL (	S.KBK, 0)
	AND ISNULL (R.EKR, 0) = ISNULL ( S.EKR, 0)
	AND ISNULL (R.DEP, 0) = ISNULL ( S.DEP, 0)
	AND ISNULL (R.SUB, 0) = ISNULL ( S.SUB, 0)
	AND ISNULL (R.NOMEN, 0) = ISNULL ( S.NOMEN, 0)
	AND ISNULL (R.INV, 0) = ISNULL ( S.INV, 0)
	AND ISNULL (R.KAU, 0) = ISNULL ( S.KAU, 0)
	AND ISNULL (R.DEP_ACC, 0) = ISNULL ( S.DEP_ACC, 0)
	AND ISNULL (R.TMC, 0) = ISNULL ( S.TMC, 0)
	AND ISNULL (R.INDATE, '17530101') = ISNULL ( S.INDATE, '17530101')
	AND ISNULL (R.SGU, 0) = ISNULL ( S.SGU, 0)
	AND ISNULL (R.AP1, 0) = ISNULL ( S.AP1, 0)
	AND ISNULL (R.AP2, 0) = ISNULL ( S.AP2, 0)
	AND ISNULL (R.AP3, 0) = ISNULL ( S.AP3, 0)
	AND ISNULL (R.AP4, 0) = ISNULL ( S.AP4, 0)
	AND ISNULL (R.AP5, 0) = ISNULL ( S.AP5, 0)
	AND ISNULL (R.AP6, 0) = ISNULL ( S.AP6, 0)
	AND ISNULL (R.DEP_LINK, 0) = ISNULL ( S.DEP_LINK, 0)
	AND ISNULL (R.PRICE, 0) = ISNULL ( S.PRICE, 0)
	)
INNER JOIN #REST_105_1 R1 ON 
	(
	R1.[DATE] = S.[DATE]
	AND R1.ACCOUNT = S.ACCOUNT
	AND R1.ISOBOROT = S.ISOBOROT
	AND ISNULL (R1.KBK, 0) = ISNULL (	S.KBK, 0)
	AND ISNULL (R1.EKR, 0) = ISNULL ( S.EKR, 0)
	AND ISNULL (R1.DEP, 0) = ISNULL ( S.DEP, 0)
	AND ISNULL (R1.SUB, 0) = ISNULL ( S.SUB, 0)
	AND ISNULL (R1.NOMEN, 0) = ISNULL ( S.NOMEN, 0)
	AND ISNULL (R1.INV, 0) = ISNULL ( S.INV, 0)
	AND ISNULL (R1.KAU, 0) = ISNULL ( S.KAU, 0)
	AND ISNULL (R1.DEP_ACC, 0) = ISNULL ( S.DEP_ACC, 0)
	AND ISNULL (R1.TMC, 0) = ISNULL ( S.TMC, 0)
	AND ISNULL (R1.INDATE, '17530101') = ISNULL ( S.INDATE, '17530101')
	AND ISNULL (R1.SGU, 0) = ISNULL ( S.SGU, 0)
	AND ISNULL (R1.AP1, 0) = ISNULL ( S.AP1, 0)
	AND ISNULL (R1.AP2, 0) = ISNULL ( S.AP2, 0)
	AND ISNULL (R1.AP3, 0) = ISNULL ( S.AP3, 0)
	AND ISNULL (R1.AP4, 0) = ISNULL ( S.AP4, 0)
	AND ISNULL (R1.AP5, 0) = ISNULL ( S.AP5, 0)
	AND ISNULL (R1.AP6, 0) = ISNULL ( S.AP6, 0)
	AND ISNULL (R1.DEP_LINK, 0) = ISNULL ( S.DEP_LINK, 0)
	AND ISNULL (R1.PRICE, 0) = ISNULL ( S.PRICE, 0)
	)
WHERE
	S.EMP IS NOT NULL
	
--   
UPDATE s
SET s.D_SUMMA = 0
FROM [{Variable_WorkDb}].dbo.SALDO S
INNER JOIN #REST_105_1 R1 ON 
	(
	R1.[DATE] = S.[DATE]
	AND R1.ACCOUNT = S.ACCOUNT
	AND R1.ISOBOROT = S.ISOBOROT
	AND ISNULL (R1.KBK, 0) = ISNULL (	S.KBK, 0)
	AND ISNULL (R1.EKR, 0) = ISNULL ( S.EKR, 0)
	AND ISNULL (R1.DEP, 0) = ISNULL ( S.DEP, 0)
	AND ISNULL (R1.SUB, 0) = ISNULL ( S.SUB, 0)
	AND ISNULL (R1.NOMEN, 0) = ISNULL ( S.NOMEN, 0)
	AND ISNULL (R1.INV, 0) = ISNULL ( S.INV, 0)
	AND ISNULL (R1.KAU, 0) = ISNULL ( S.KAU, 0)
	AND ISNULL (R1.DEP_ACC, 0) = ISNULL ( S.DEP_ACC, 0)
	AND ISNULL (R1.TMC, 0) = ISNULL ( S.TMC, 0)
	AND ISNULL (R1.INDATE, '17530101') = ISNULL ( S.INDATE, '17530101')
	AND ISNULL (R1.SGU, 0) = ISNULL ( S.SGU, 0)
	AND ISNULL (R1.AP1, 0) = ISNULL ( S.AP1, 0)
	AND ISNULL (R1.AP2, 0) = ISNULL ( S.AP2, 0)
	AND ISNULL (R1.AP3, 0) = ISNULL ( S.AP3, 0)
	AND ISNULL (R1.AP4, 0) = ISNULL ( S.AP4, 0)
	AND ISNULL (R1.AP5, 0) = ISNULL ( S.AP5, 0)
	AND ISNULL (R1.AP6, 0) = ISNULL ( S.AP6, 0)
	AND ISNULL (R1.DEP_LINK, 0) = ISNULL ( S.DEP_LINK, 0)
	AND ISNULL (R1.PRICE, 0) = ISNULL ( S.PRICE, 0)
	)
WHERE s.EMP IS NULL

EXECUTE ('DROP TABLE #REST_105')
EXECUTE ('DROP TABLE #REST_105_1')

COMMIT TRAN